#!/bin/bash
#SBATCH --account=DD-23-72
#SBATCH --partition=qgpu
#SBATCH --cpus-per-task=64
#SBATCH --gpus=1
#SBATCH --time=2-00:00:00
#SBATCH --output=/home/it4i-lukash/git_repos/eva/slurm_outputs/%j.out

unset CUDA_VISIBLE_DEVICES
cd /home/it4i-lukash/git_repos/eva/eva/examples/NLG
source activate eva

DEFAULT_SCRIPT="./run_grid.sh"
SCRIPT_PATH=${1:-$DEFAULT_SCRIPT}
if [ ! -x "$SCRIPT_PATH" ]; then
    echo "Script at '$SCRIPT_PATH' is not executable or does not exist."
    exit 1
fi

echo "Executing script at: $SCRIPT_PATH"
$SCRIPT_PATH 
